Bug 186656 - tpb shows no osd when started from xinitrc.d
tpb shows no osd when started from xinitrc.d
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tpb (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 21:14 EST by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.6.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 16:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2006-03-24 21:14:50 EST
Description of problem:
tps's OSD will no show when tpb is started from /etc/X11/xinit/xinitrc.d/tpb.sh

Version-Release number of selected component (if applicable):
tpb-0.6.4-3.fc5
xosd-2.2.14-5.fc5

How reproducible:
mostly (not all users see the problem apparently)

Steps to Reproduce:
1. install tpb
2. log out of X
3. log in
4. verify that tpb is running with '$ ps aux|grep tpb'
  
Actual results:
volume and thinklight (and I guess other buttons as well) work as expected, but
there is no on screen display

Expected results:
OSD shown

Additional info:
workaround is to kill tpb and start it by handm or more elegantly to disable the 
/etc/X11/xinit/xinitrc.d/tpb.sh script and just start it from the gnome session.
Comment 1 Kevin Fenzi 2006-05-15 16:36:10 EDT
Greetings. I am taking over ownership of this package in fedora extras. 
Can you see if you can still duplicate this problem? 

It works fine here via the tpb.sh... 
Comment 2 Patrick C. F. Ernzer 2006-05-16 08:10:03 EDT
Yes, with a fully updated FC5 (did yum update before testing) the problem went away:
steps taken
1) yum update
2) remove 'tpb -d' entry in System, Preferences, More Preferences, Sessions,
Startup Programs (I added that manually as a work-around)
3) re-enable /etc/X11/xinit/xinitrc.d/tpb.sh (I had disabled that to make the
gnome-session work around work)
4) log out on X
5) log back in
6) verify that tpb works
7) reboot
8) verify that it also works after a reboot (just to be on the safe side as i
also updated glibc in this yum update round)

So problem is solved either by one of the updates since 2006-03-24 or it is a
race condition and it is gone because of something else.

You can close this unless you want to go the clean way and aqctually replace
/etc/X11/xinit/xinitrc.d/tpb.sh with something that gets added to the Gnome and
KDE sessions)

RU

PCFE
Comment 3 Patrick C. F. Ernzer 2006-05-16 08:15:42 EDT
forgot to add the current versions used:
tpb-0.6.4-3.fc5
xosd-2.2.14-6.fc5

the only thing that changed between the orif=ginal report and now is tpb, but
the changelog only lists a font change.

So we may actually be looking at some race. c.f. also the fact that I reported
this as not always reproducible.

So, suggestion remains to move the start script to the gnome session and KDE
session, just like we do for bluz-pin, gnome-power-manager, nm-applet etc
Comment 4 Kevin Fenzi 2006-05-16 12:39:30 EDT
Well, I am reluctant to move it to the /etc/xdg/autostart/ dir because many
folks on laptops tend to use alternative desktops. For example, I use Xfce and
know many fluxbox/windowmaker/etc users. 

This way things work for them as well...

I will close this bug now, but feel free to re-open or open a new one if you
spot anything further with it. 
Comment 5 Matthew Saltzman 2006-10-14 18:43:10 EDT
I'm finding on my fully updated FC5 that the OSD generally does not start on login.

I am using tpb "out of the box", so I guess it starts from xinitrc.d.  This is 
T41, if it matters.  My versions of tpb and osd are as in Comment #3.
Comment 6 Kevin Fenzi 2006-10-18 14:55:53 EDT
ok. I am re-opening this bug, per comment #5 it still seems to occur. 

My understanding of the current problem is: 

- tpb does in fact start from xinitrc.d on login. 
- It doesn't display any osd messages
- killing the tpb process and re-starting it causes it to work. 

Some more questions for Matthew: 

- Is my understanding above correct?
- Does tpb seem to be working, just not displaying OSD messages? Or pressing
buttons doesn't have any effect at all, as if tpb wasn't running?

Comment 7 Matthew Saltzman 2006-10-18 15:11:08 EDT
(In reply to comment #6)

> Some more questions for Matthew: 
> 
> - Is my understanding above correct?

Yes.  Additionally, disabling in xinitrc.d and starting from Preferences ->
Sessions -> Startup in GNOME also works.

> - Does tpb seem to be working, just not displaying OSD messages? Or pressing
> buttons doesn't have any effect at all, as if tpb wasn't running?

Most buttons seem to work whether tpb is running or not.  The screen brightens
and darkens, the thinklight turns on and off, the aux output toggles (my
xorg.conf has Option "BIOSHotKeys" "on" for the ATI M7 graphics card), and Fn-F4
suspends.  But there are no OSDs if tpb is not running or if it is started from
xinitrc.d.  Fn-F3 seems inactive either way.  Haven't tried Fn-F12.
Comment 8 Kevin Fenzi 2006-11-29 14:44:08 EST
Sorry it's taken so long to get back to you on this. 

Can you do a fresh login with tpb in xinitrc.d (the state when tpb is running,
but not working) and then do: 

strace -f -o /tmp/trace.out -p <pid of tpb here>

You may need to install the strace package. 
Then, try various buttons that should show OSD, and send me (either in private
email or attached to this bug) the /tmp/trace.out thats generated. 

Thanks.
Comment 9 Matthew Saltzman 2006-11-29 15:50:53 EST
(In reply to comment #8)

> Can you do a fresh login with tpb in xinitrc.d (the state when tpb is running,
> but not working) and then do: 
> 
> strace -f -o /tmp/trace.out -p <pid of tpb here>
> 
> You may need to install the strace package. 
> Then, try various buttons that should show OSD, and send me (either in private
> email or attached to this bug) the /tmp/trace.out thats generated. 
> 
> Thanks.

I'd love to, but I upgraded that machine to FC6 and I can no longer reproduce
the problem.  The upgrade is a default install, so tpb is started from
xinitrc.d/tpb.sh and not from my GNOME startup.

Must have been some change in xorg?
Comment 10 Kevin Fenzi 2006-11-29 16:49:25 EST
> Must have been some change in xorg?

It's possible I suppose. 

I guess if we can't investigate further, I will go ahead and close this bug
(again. ;) 

If someone is still seeing this issue on fc5, please re-open or file a new bug
and we can investigate further. 

Note You need to log in before you can comment on or make changes to this bug.